Bug 635094 - selinux is blocking the clamd service
selinux is blocking the clamd service
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks: F14Target
  Show dependency treegraph
 
Reported: 2010-09-17 14:51 EDT by Nicolas Mailhot
Modified: 2010-09-23 03:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-23 03:33:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2010-09-17 14:51:11 EDT
On boot:

clamd.amavisd.service     loaded failed       failed                             LSB: The clamd server running for amavisd

# systemctl restart clamd.amavisd.service
Job failed, see system logs for details.
# setenforce permissive
# systemctl restart clamd.amavisd.service
#

There are no sealert to explain why clamd is being blocked. When clamd is down no mail is processed (the system runs postfix, amavis and dovecot) so this is the sole ready I have to disable selinux protection here. It worked fine in rawhide for months and was broken just in time for F14 alpha

clamav-0.96.2-1400.fc14.x86_64
clamav-data-0.96.2-1400.fc14.noarch
clamav-filesystem-0.96.2-1400.fc14.noarch
clamav-lib-0.96.2-1400.fc14.x86_64
clamav-scanner-0.96.2-1400.fc14.noarch
clamav-scanner-upstart-0.96.2-1400.fc14.noarch
clamav-server-0.96.2-1400.fc14.x86_64
clamav-update-0.96.2-1400.fc14.x86_64
selinux-policy-3.9.5-2.fc14.noarch
selinux-policy-targeted-3.9.5-2.fc14.noarch
Comment 1 Daniel Walsh 2010-09-22 17:18:58 EDT
Try
# semodule -DB
# systemctl restart clamd.amavisd.service

Turn back on the dontaudit rules by executing
#semodule -B
Comment 2 Nicolas Mailhot 2010-09-23 03:32:46 EDT
I seems to have been fixed by today's updates

clamav-0.96.3-1400.fc14.x86_64
clamav-scanner-upstart-0.96.3-1400.fc14.noarch
clamav-filesystem-0.96.3-1400.fc14.noarch
clamav-scanner-0.96.3-1400.fc14.noarch
clamav-data-0.96.3-1400.fc14.noarch
selinux-policy-3.9.5-3.fc14.noarch
clamav-update-0.96.3-1400.fc14.x86_64
clamav-lib-0.96.3-1400.fc14.x86_64
clamav-server-0.96.3-1400.fc14.x86_64
selinux-policy-targeted-3.9.5-3.fc14.noarch

Note You need to log in before you can comment on or make changes to this bug.